Debian Bug report logs - #396741
gnumach: General protection trap on network load

version graph

Package: gnumach; Maintainer for gnumach is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for gnumach is src:gnumach.

Reported by: Michael Banck <mbanck@debian.org>

Date: Thu, 2 Nov 2006 17:33:10 UTC

Severity: important

Merged with 413185

Found in versions 20060826.dfsg.1-1, gnumach/2:1.3.99.dfsg.cvs20070211-1

Fixed in version gnumach/2:1.3.99.dfsg.cvs20070306-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#396741; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: submit@bugs.debian.org
Subject: gnumach: General protection trap on network load
Date: Thu, 2 Nov 2006 18:17:56 +0100
Package: gnumach
Version: 20060826.dfsg.1-1
Severity: important

On high network traffic (usually when apt-getting some packages,
uploading things seems to trigger this much less likely), I get
sometimes get a Mach panic and subsequent reboot.

If I trap the panic with gnumach-dbg, I get (transcribed, so maybe
slightly inaccurate):

kernel General Protection tryp, eip 0x101cd7
kernel: General protection (13), code=0
Stopped at 0x101cd7: movl %exc, 0(%eax)
db> trace
0x101cd7(2ee918)
>>>>> Divide error (0) at 0 <<<<<
db> show registers
cs		0x8
ds		0x10
es		0x10
fs		0x1f
gs		0x10
ss		0x10
eax	  	0xffffff10
ecx	  	0x104af000
edx	  	0x104af000
esp	  	0x2efae4
ebp	  	0x2efae4
esi		0x1
edi	  	0x104af650
eip	  	0x101cd7
efl	  	0x10206

If I run addr2line on the gnumach kernel, I get:

buildd@beethoven:/boot$ addr2line -f -e gnumach-dbg 101cd7
ipc_kmsg_enqueue
../ipc/ipc_kmsg.c:83

This happened both on my HP Omnibook 6000 notebook with a Prism2 PCMCIA
WLAN as NIC, and on the buildd with an Intel PCI EtherExpress Pro100.

This currently makes the buildd reboot/hang every couple of hours.  I
had one person apparently being able to reproduce this with vmware:

18:07 < gijzelaar> currently I use vmware, but I had the same problems
	on a real machine
18:16 < gijzelaar> yessssssssss crash
18:16 < gijzelaar> Stopped at 0x101cd7

but nobody else seems to suffer from this yet.  If you can reproduce
this, please follow-up to this bug report.

If anybody can tell me what else I could do to track this down, I'd be
happy to do that.


Michael



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#396741; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Thomas Schwinge <tschwinge@gnu.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 396741@bugs.debian.org (full text, mbox):

From: Thomas Schwinge <tschwinge@gnu.org>
To: Michael Banck <mbanck@debian.org>, 396741@bugs.debian.org
Subject: Re: Bug#396741: gnumach: General protection trap on network load
Date: Wed, 22 Nov 2006 16:07:30 +0100
[Message part 1 (text/plain, inline)]
Hello!

On Thu, Nov 02, 2006 at 06:17:56PM +0100, Michael Banck wrote:
> On high network traffic (usually when apt-getting some packages,
> uploading things seems to trigger this much less likely), I get
> sometimes get a Mach panic and subsequent reboot.

> buildd@beethoven:/boot$ addr2line -f -e gnumach-dbg 101cd7
> ipc_kmsg_enqueue
> ../ipc/ipc_kmsg.c:83

I've also been hit by this (with a clean gnumach-1-branch GNU Mach, only
enhanced by an smashing stack protector patch) and reported it at
<http://savannah.gnu.org/bugs/?18349>.  For me it wasn't with high
network load, though.  I was sshing to the GNU/Hurd box and compiling a
package there when the kernel decided to panic.  But perhaps that SSH
traffic has some similar pattern to what you have experienced.


Regards,
 Thomas
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://savannah.gnu.org/bugs/?18349. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#396741; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 396741@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 396741@bugs.debian.org
Subject: Re: gnumach: General protection trap on network load
Date: Mon, 5 Mar 2007 10:20:54 +0100
Hi,

Now that I fixed kdb's trace command (2007-02-20), could you try
reproducing it and get a trace?

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#396741; Package gnumach. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 396741@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 396741@bugs.debian.org
Subject: Re: Bug#396741: gnumach: General protection trap on network load
Date: Mon, 5 Mar 2007 14:59:24 +0100
On Mon, Mar 05, 2007 at 10:20:54AM +0100, Samuel Thibault wrote:
> Now that I fixed kdb's trace command (2007-02-20), 

Thanks a lot for doing that, btw.

> could you try reproducing it and get a trace?

Actually, we did (at FOSDEM), we just haven't posted it to the bug yet,
thanks for reminding.  Thomas Schwinge might have the transcript still,
I only have a photo of it on my digicam at home...

The trace basically confirmed/was identical to Olaf's findings at
http://savannah.gnu.org/bugs/?18349#comment2


Michael



Forcibly Merged 396741 413185. Request was from samy <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Banck <mbanck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 396741-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 396741-close@bugs.debian.org
Subject: Bug#396741: fixed in gnumach 2:1.3.99.dfsg.cvs20070306-1
Date: Tue, 06 Mar 2007 06:17:02 +0000
Source: gnumach
Source-Version: 2:1.3.99.dfsg.cvs20070306-1

We believe that the bug you reported is fixed in the latest version of
gnumach, which is due to be installed in the Debian FTP archive:

gnumach-dbg_1.3.99.dfsg.cvs20070306-1_i386.deb
  to pool/main/g/gnumach/gnumach-dbg_1.3.99.dfsg.cvs20070306-1_i386.deb
gnumach-dev_1.3.99.dfsg.cvs20070306-1_i386.deb
  to pool/main/g/gnumach/gnumach-dev_1.3.99.dfsg.cvs20070306-1_i386.deb
gnumach-udeb_1.3.99.dfsg.cvs20070306-1_i386.udeb
  to pool/main/g/gnumach/gnumach-udeb_1.3.99.dfsg.cvs20070306-1_i386.udeb
gnumach_1.3.99.dfsg.cvs20070306-1.diff.gz
  to pool/main/g/gnumach/gnumach_1.3.99.dfsg.cvs20070306-1.diff.gz
gnumach_1.3.99.dfsg.cvs20070306-1.dsc
  to pool/main/g/gnumach/gnumach_1.3.99.dfsg.cvs20070306-1.dsc
gnumach_1.3.99.dfsg.cvs20070306-1_i386.deb
  to pool/main/g/gnumach/gnumach_1.3.99.dfsg.cvs20070306-1_i386.deb
gnumach_1.3.99.dfsg.cvs20070306.orig.tar.gz
  to pool/main/g/gnumach/gnumach_1.3.99.dfsg.cvs20070306.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 396741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated gnumach package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  6 Mar 2007 07:51:30 +0200
Source: gnumach
Binary: gnumach gnumach-dev gnumach-udeb gnumach-dbg
Architecture: source i386
Version: 2:1.3.99.dfsg.cvs20070306-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 gnumach    - The GNU version of the Mach microkernel
 gnumach-dbg - The GNU version of the Mach microkernel for debugging
 gnumach-dev - The GNU version of the Mach microkernel
 gnumach-udeb - The GNU version of the Mach microkernel (udeb)
Closes: 390872 396741 413177 413185
Changes: 
 gnumach (2:1.3.99.dfsg.cvs20070306-1) unstable; urgency=low
 .
   * New upstream CVS snapshot.
     - Protect the net filter code from being interrupted.
       (Closes: #396741, #413185)
       Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
     - debian/patches/00_clean_gfdl.patch: Sync.
     - debian/patches/90_autoconf_autogen.patch: Regenerated.
   * Fixed MMX register support. (Closes: #413177)
     - debian/patches/20_mmx_support.patch: Updated.
     Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
   * Run the test suite after build. (Closes: #390872)
Files: 
 76d88796b30de174e8a92a59e5beb815 908 base optional gnumach_1.3.99.dfsg.cvs20070306-1.dsc
 a47c25c36acf27e889b0054467a53fe3 3737000 base optional gnumach_1.3.99.dfsg.cvs20070306.orig.tar.gz
 ac65560bcaccf258820a4d8beb9a6ef9 83347 base optional gnumach_1.3.99.dfsg.cvs20070306-1.diff.gz
 5e2033efc16a2bc5c40aaa73d15ab3e7 951968 base optional gnumach_1.3.99.dfsg.cvs20070306-1_i386.deb
 17dbb33cd4130b1a6a94c5ba41720adc 868564 debian-installer optional gnumach-udeb_1.3.99.dfsg.cvs20070306-1_i386.udeb
 98bf6a8946fb378ef8a7691c113d8b04 3495266 devel extra gnumach-dbg_1.3.99.dfsg.cvs20070306-1_i386.deb
 506e8846211010ea826af1d67897cb9e 150812 devel optional gnumach-dev_1.3.99.dfsg.cvs20070306-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF7QQAuW9ciZ2SjJsRAmk2AJwOanYH+NVxoH5at8q84WOopUqahgCcCfHf
O2WrPfdwkLlMWUAu/t46a3Q=
=y4KW
-----END PGP SIGNATURE-----




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "YAMAMOTO, Hiroyuki" <yama1066@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:49:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:00:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.